uuagc

Safe Haskell | Safe-Infered

ExecutionPlan

# Documentation

data EChild

Constructors

EChild Identifier Type ChildKind Bool (Maybe [Identifier]) Bool |
ETerm Identifier Type |

type EChildren = [EChild]

data ENonterminal

Constructors

ENonterminal NontermIdent [Identifier] ClassContext StateIdentifier (Maybe VisitIdentifier) (Map StateIdentifier StateCtx) (Map StateIdentifier StateCtx) EProductions Bool HigherOrderInfo |

type ENonterminals = [ENonterminal]

data EProduction

Constructors

EProduction ConstructorIdent [Identifier] [Type] ERules EChildren Visits |

type EProductions = [EProduction]

data ERule

Constructors

ERule Identifier Pattern Expression Bool String Bool Bool (Maybe Error) |

type ERules = [ERule]

data ExecutionPlan

Constructors

ExecutionPlan ENonterminals TypeSyns (Set NontermIdent) Derivings |

data Visit

Constructors

Visit VisitIdentifier StateIdentifier StateIdentifier (Set Identifier) (Set Identifier) VisitSteps VisitKind |

data VisitStep

Constructors

ChildIntro Identifier |
ChildVisit Identifier NontermIdent VisitIdentifier |
PureGroup VisitSteps Bool |
Sem Identifier |
Sim VisitSteps |

type VisitSteps = [VisitStep]

type Visits = [Visit]